5 votos

¿Qué tan importante es para apoyar a las versiones anteriores de iOS?

No estoy seguro si este es el mejor por aquí o por Stack Overflow - un comentarista en un post tratando con similar (aunque no idéntica) tema TAN sugirió que habría sido mejor para publicar aquí. Si esto es equivocado, pido disculpas.

Espero que se excusa un poco de una cuestión filosófica. Soy un independiente/individual de desarrolladores de iOS. Recientemente, el dispositivo que mantenga alrededor para iOS 4.x pruebas de compatibilidad (un iPod touch), entregó el espíritu -- y estoy teniendo un diablo de un tiempo tratando de reemplazarlo. Por supuesto, nuevos dispositivos, todos tienen iOS 5 en ellos. Así que uno podría pensar a golpear hasta el mercado del usado. Pero por desgracia esto está resultando infructuoso. Incluso el mercado está demostrando poco de ayuda, como la mayoría de los vendedores piensan que es útil para actualizar a la última y más grande, antes de ponerlos a la venta. Y después de otro día gastado infructuosamente arar a través de eBay resultados de búsqueda, finalmente tuve que sentarme y pensar para mis adentros:

¿Qué tan importante es para continuar el apoyo a iOS 4.x?

Parece (al menos si estos blog posts son para ser creído) que casi todo el mundo está en iOS 5 en estos días, ya que todavía es apoyado incluso bastante viejo hardware; y que el apoyo a antiguas versiones de iOS se ejecuta contra la ley de los rendimientos decrecientes, como el apoyo a iOS 4 es costoso y en gran medida innecesaria. Al mismo tiempo, miro las cosas nuevas que tenemos para jugar en iOS 5 (y pronto tendremos aún más juguetes en iOS 6) y no puedo dejar de babear. ARCO solo parece que me va a ahorrar un poco de dolor de cabeza. (Hola retener/liberación, no dejes que la puerta te golpeó en la parte trasera, en su manera de salir)

Así que supongo que lo que te estoy preguntando es, como usuario, ¿cómo de importante es el iOS 4 de compatibilidad? Hice la actualización a iOS 5, o se sigue ejecutando iOS 4.x en cualquiera de tus dispositivos? Y/o ¿conoces a alguien que todavía se ejecutan en iOS 4.x? (El estereotipo de tech-unsavvy padre viene a la mente) de Cualquier y todos los comentarios/consejos/práctico de las experiencias del mundo real/etc. usted puede proporcionar es muy apreciado.

3voto

Simplexion Puntos41

Es de hecho más de una opinión en la pregunta, pero he aquí mi 2¢ de todos modos. He oído hablar mucho sobre ello, y es una pregunta importante. Antes de continuar, permítanme señalar, que creo que después de iOS 5, la gente va a ser incluso más probable para actualizar rápidamente debido a actualizaciones OTA, y mi conjetura es que la tasa de absorción de iOS 6, por ejemplo, será mucho mayor que versiones anteriores del sistema operativo. Dicho esto, es probable que, en el momento de la liberación de su aplicación y iOS 6 viene de fuera, iOS 5, es probable que rápidamente tomar el asiento de atrás, posiblemente iOS 4 menos popular (excepto para los dispositivos más antiguos).

Un área clave es el cliente de la base de que usted tiene la intención de ir. Si, por ejemplo, usted está construyendo una aplicación que sería más atractivo para los niños en la escuela, o de otras personas que tienen una mayor posibilidad de ser dado de dispositivos, sería importante desarrollar para iOS 4. Esto es debido a mi entender es que muchas escuelas están recogiendo la 1ª generación de iPad, y mayores iPod touch, así como los viejos iPhones. Estos, obviamente, sólo se ejecuta en iOS 4. Creo que es lo principal que se mantenga el iOS 4 en el gráfico circular - los modelos más antiguos.

Si usted está construyendo un juego o algo que puede apelar más a las personas que están más avanzadas, probablemente sería una opción mucho mejor para ir con iOS 5. Como para otros "normal" de las aplicaciones para el usuario general, recursos valiosos tales como ARC probablemente haga iOS 5 la mejor opción. No he escrito una aplicación (sin embargo, es de esperar), pero por lo que he oído, el ARCO es difícil de pasar, por no hablar de todas las otras Api de que usted consigue.

Tras haber hablado con los desarrolladores que todavía funcionan con iOS 3 y 4, he oído que es un dolor real, y usted tendrá que esperar a gastar más tiempo (y por tanto dinero) en las etapas de desarrollo de la aplicación.

Personalmente, si yo fuera un programa de aplicación, estoy seguro de que me gustaría hacer a iOS 5. Por lo que he oído, iOS 4 es de izquierda a personas de la creación de aplicaciones para las escuelas, por ejemplo, así como a las aplicaciones que las empresas más grandes que tienen más dinero en efectivo para trabajar con poner fuera como ellos, obviamente, queremos que todos sean capaces de utilizar su aplicación.

Aquí hay otro interesante pensamiento, mientras que en las líneas - en lugar de construir para iOS 4, ¿por qué no localizar a su aplicación, y hacer que esté disponible en algunos otros países? Esta sería una forma de llegar a un mayor número de usuarios.

De nuevo, sólo mis pensamientos, pero es de esperar algo útil.

3voto

mtnygard Puntos141

Mi opinión sobre esto es que se debe tener en cuenta un par de factores para decidir qué dispositivos y OS niveles de apoyo. La primera es que un anciano dispositivo iOS aún comandos de un mayor nivel de conveniencia que para los dispositivos más antiguos para que los competidores, y puede retener un valor en edades en que un teléfono Android a menudo serán reciclados o desechados. Como tal, en segundo lugar, hay un gran mercado en "hand me down" de los dispositivos. No tengo cifras para respaldar esto, pero estoy dispuesto a apostar que hay mucho más que el iPhone 3G dispositivos de patadas en todo lo que usted esperaría. Estos dispositivos a menudo se quedan en la familia, a menudo relacionadas con el mismo ID de Apple, por lo que puede ser particularmente molesto cuando una Aplicación que ya deja de funcionar.

Tengo iOS 3 y 4 dispositivos (iPhone 3G y el iPod) que son de uso diario, como un teléfono activamente, el otro como un aprendizaje de juguete para mi hijo / a a contar con la/el alfabeto de aplicaciones (principalmente para detener su uso mi propio teléfono, y debido a que el dispositivo no tenía ningún uso particular).

He encontrado numerosas aplicaciones que ya no admiten estos dispositivos, cuando parece que no hay razón para que ellos no a partir de una funcionalidad de punto de vista, sin embargo estoy de acuerdo en que si usted está produciendo una nueva Aplicación, no veo ninguna razón por qué usted no debe elegir apoyar el sistema operativo más reciente, especialmente cuando usted considera que el iOS 6 va a cubrir 4 generaciones (!) de iphones cuando es liberado en el siguiente teléfono a finales de este año.

Pero si su Aplicación fue publicada originalmente en iOS 3.0, a continuación, me gustaría tratar de mantenerlo trabajando en 3.0, y si las nuevas características requieren 6.0 Api etc, entonces es el momento de bifurcación de los cambios en una nueva versión que permite el viejo todavía trabajar.

AppleAyuda.com

AppleAyuda es una comunidad de usuarios de los productos de Apple en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros usuarios, hacer tus propias preguntas o resolver las de los demás.

Powered by: